Debian Bug report logs - #719618
RFA: spring -- modern full-3D RTS game engine

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jan Dittberner <jandd@debian.org>

Date: Tue, 13 Aug 2013 16:09:02 UTC

Severity: normal

Fixed in version spring/96.0+dfsg-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719618; Package wnpp. (Tue, 13 Aug 2013 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Dittberner <jandd@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 13 Aug 2013 16:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Dittberner <jandd@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: spring -- modern full-3D RTS game engine
Date: Tue, 13 Aug 2013 17:28:46 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

I request an adopter for the spring package.

The package description is:
 Spring is a modern full-3D RTS (Real Time Strategy) game engine originally
 created to bring the gameplay experience of Total Annihilation into 3D.
 Games are played using one of a number of mods.
 .
 This package just includes the game engine and the default AI, with no maps,
 mods or rich user interface.

The package is under maintenance by the Debian Games Team but I was the only
person that did work on this package in the past.


Best regards
Jan

-- 
Jan Dittberner - Debian Developer
GPG-key: 4096R/558FB8DD 2009-05-10
         B2FF 1D95 CE8F 7A22 DF4C  F09B A73E 0055 558F B8DD
http://ddportfolio.debian.net/ - http://people.debian.org/~jandd/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719618; Package wnpp. (Thu, 05 Dec 2013 16:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 05 Dec 2013 16:09:09 GMT) Full text and rfc822 format available.

Message #10 received at 719618@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 719618@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITA: spring -- modern full-3D RTS game engine
Date: Thu, 05 Dec 2013 17:07:23 +0100
[Message part 1 (text/plain, inline)]
retitle 719618 ITA: spring -- modern full-3D RTS game engine
owner 719618 !
thanks

Let's see if I can get this package into shape again...

I intend to continue maintaining the package in the Debian Games Team.

Regards,

Markus

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITA: spring -- modern full-3D RTS game engine' from 'RFA: spring -- modern full-3D RTS game engine' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Thu, 05 Dec 2013 16:09:12 GMT) Full text and rfc822 format available.

Owner recorded as Markus Koschany <apo@gambaru.de>. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Thu, 05 Dec 2013 16:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719618; Package wnpp. (Sat, 21 Dec 2013 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 21 Dec 2013 22:45:05 GMT) Full text and rfc822 format available.

Message #19 received at 719618@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 719618@bugs.debian.org, 731372@bugs.debian.org, jandd@debian.org, mquinson@debian.org
Cc: control@bugs.debian.org, marco.amadori@gmail.com
Subject: RFA: spring -- modern full-3D RTS game engine
Date: Sat, 21 Dec 2013 23:43:35 +0100
[Message part 1 (text/plain, inline)]
retitle 719618 RFA: spring -- modern full-3D RTS game engine
noowner 719618
tags 731372 patch
thanks


Hello Jan and Martin,

I have overhauled the Debian spring package and committed everything to
the team's git repository. The new package closes almost every bug
except the ones which require exceptional efforts by upstream, namely
making spring work on other architectures than amd64 or i386.

I'm sure that I improved the package but I don't intend to become one of
the uploaders at the moment. There are far too many embedded third party
software libraries and I can't see that upstream will try to change that
in the near future. I'm also a little disappointed that there is no kind
of security mailing list and only little effort to work with upstream
developers of embedded libs like assimp to incorporate spring's changes. [1]

However I would really appreciate it if someone reviewed the current
packaging work and helped with fixing the current RC bug.

As far as I can see the springlobby package could also benefit from a
new upstream release and rapid-spring is no longer supported (see the
info at the bottom of the page) [2] I don't think it's worth to support
this package for Jessie.

In any case

Happy Christmas!



[1] http://springrts.com/phpbb/viewtopic.php?f=20&t=31300
[2] http://springrts.com/wiki/GamesDownloads

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'RFA: spring -- modern full-3D RTS game engine' from 'ITA: spring -- modern full-3D RTS game engine' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Sat, 21 Dec 2013 22:45:11 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Markus Koschany <apo@gambaru.de>. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Sat, 21 Dec 2013 22:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#719618; Package wnpp. (Sun, 22 Dec 2013 10:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Quinson <martin.quinson@loria.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 22 Dec 2013 10:36:04 GMT) Full text and rfc822 format available.

Message #28 received at 719618@bugs.debian.org (full text, mbox):

From: Martin Quinson <martin.quinson@loria.fr>
To: Markus Koschany <apo@gambaru.de>
Cc: 719618@bugs.debian.org, 731372@bugs.debian.org, jandd@debian.org, mquinson@debian.org, marco.amadori@gmail.com
Subject: Re: RFA: spring -- modern full-3D RTS game engine
Date: Sun, 22 Dec 2013 11:33:42 +0100
Unfortunately, I don't have the workpower to adopt spring for now. I
don't even play this game myself :)

Sorry, Mt.

On Sat, Dec 21, 2013 at 11:43:35PM +0100, Markus Koschany wrote:
> retitle 719618 RFA: spring -- modern full-3D RTS game engine
> noowner 719618
> tags 731372 patch
> thanks
> 
> 
> Hello Jan and Martin,
> 
> I have overhauled the Debian spring package and committed everything to
> the team's git repository. The new package closes almost every bug
> except the ones which require exceptional efforts by upstream, namely
> making spring work on other architectures than amd64 or i386.
> 
> I'm sure that I improved the package but I don't intend to become one of
> the uploaders at the moment. There are far too many embedded third party
> software libraries and I can't see that upstream will try to change that
> in the near future. I'm also a little disappointed that there is no kind
> of security mailing list and only little effort to work with upstream
> developers of embedded libs like assimp to incorporate spring's changes. [1]
> 
> However I would really appreciate it if someone reviewed the current
> packaging work and helped with fixing the current RC bug.
> 
> As far as I can see the springlobby package could also benefit from a
> new upstream release and rapid-spring is no longer supported (see the
> info at the bottom of the page) [2] I don't think it's worth to support
> this package for Jessie.
> 
> In any case
> 
> Happy Christmas!
> 
> 
> 
> [1] http://springrts.com/phpbb/viewtopic.php?f=20&t=31300
> [2] http://springrts.com/wiki/GamesDownloads
> 



-- 
There are two ways of constructing a software design. One way is to
make it so simple that there are obviously no deficiencies. And the
other way is to make it so complicated that there are no obvious
deficiencies.             -- Tony (C.A.R.) Hoare.



Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 14 Feb 2014 03:54:21 GMT) Full text and rfc822 format available.

Notification sent to Jan Dittberner <jandd@debian.org>:
Bug acknowledged by developer. (Fri, 14 Feb 2014 03:54:21 GMT) Full text and rfc822 format available.

Message #33 received at 719618-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 719618-close@bugs.debian.org
Subject: Bug#719618: fixed in spring 96.0+dfsg-1
Date: Fri, 14 Feb 2014 03:50:38 +0000
Source: spring
Source-Version: 96.0+dfsg-1

We believe that the bug you reported is fixed in the latest version of
spring, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated spring package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 13 Feb 2014 21:19:03 +0100
Source: spring
Binary: spring spring-common spring-dbg spring-javaai
Architecture: source amd64 all
Version: 96.0+dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 spring     - modern full-3D RTS game engine
 spring-common - modern full-3D RTS game engine (common files)
 spring-dbg - modern full-3D RTS game engine (debugging symbols)
 spring-javaai - modern full-3D RTS game engine (Java AIs)
Closes: 564001 571544 610787 714789 719618 731372
Changes: 
 spring (96.0+dfsg-1) unstable; urgency=medium
 .
   * Remove Jan Dittberner and Marco Amadori from Uploaders. Thank you for the
     past work! Add myself to Uploaders. (Closes: #719618)
   * Thanks to Gregor Herrman for the last NMU!
   * New upstream release.
     - Fix crash in multiplayer game. (Closes: #564001)
     - Fix segfault at startup. (Closes: #731372)
     - Fix missing files for spring-dedicated. (Closes: #571544)
   * Update README.Debian because the Java AI is already packaged in
     spring-javaai. Explain how to find maps and mods for spring.
     (Closes: #610787)
   * Update README.source.
   * debian/control:
     - Move default-jdk, libvecmath-java and libjna-java to Build-Depends-Indep.
     - Build-depend on libboost-all-dev instead of single boost libraries.
     - Bump Standards-Version to 3.9.5, no changes.
     - Use canonical Vcs-fields.
     - spring: Depend on fonts-freefont-otf instead of otf-freefont.
     - spring: Change versioned dependency of spring-common to
       (= ${source:Version}).
     - Remove obsolete Conflicts fields.
     - spring-common: Drop recommendations to avoid circular dependencies.
     - spring-common: Do not suggest map and mod packages that are not available
       for Debian.
   * Update debian/copyright for spring 96.0.
   * Add spring.maintscript and remove obsolete /etc/spring/datadir conffile.
   * debian/rules:
     - Add a new get-orig-source target and drop the new-upstream file.
     - Remove rts/spring.exe.manifest file from upstream sources.
       (Closes: #714789)
     - Clean up debian/rules and remove workaround with -fpermissive. This is no
       longer necessary for boost1.54.
     - Build and enable the test suite.
     - Do not install /etc/spring/datadir anymore. The defaults are sufficient.
   * Use spring-common.links for linking to FreeSansBold.otf.
   * Drop spring.links.
   * debian/patches:
     - Rename all patches and remove patch numbers.
     - Drop obsolete patches:
       + 0003-fix-cmake-2_8-java-build.patch.
       + 0004-fix-gcj-4.4-compilation.patch.
       + 0006-fix-boost.1.48-compilation.patch.
       + time_utc.patch.
     - Remaining patches:
       + sdl-debian.patch: Rebase against spring 96.0.
       + glshaderSource.patch: Fix a FTBFS with Debian's version of GL/glext.h.
       + use-Debian-java-libs.patch: No changes.
Checksums-Sha1: 
 2935db0ec23e0a5869eeca9fef8404aa1119eeb8 2458 spring_96.0+dfsg-1.dsc
 e5e4781f55bc73399d928f8bbe02b7e0634765a8 8253900 spring_96.0+dfsg.orig.tar.xz
 921b089526feabe40fafae7ed7134ec10f10dd0d 14628 spring_96.0+dfsg-1.debian.tar.xz
 f3d47ef118f5f9030e24bcda61823de625e64de7 8449912 spring_96.0+dfsg-1_amd64.deb
 c9a980910ef0ae309adbdb1f7fd65935cb14fdb2 3288852 spring-common_96.0+dfsg-1_all.deb
 6e710d41c513a6b3909c72981751cdc4eebf9648 229479518 spring-dbg_96.0+dfsg-1_amd64.deb
 2d365e45b2ac9255f47323238da4682a3189c733 1025060 spring-javaai_96.0+dfsg-1_all.deb
Checksums-Sha256: 
 3a2b6d4caa43e391ef31876eb612259ff3d3e5d32c77f8061db523b1206bab99 2458 spring_96.0+dfsg-1.dsc
 bf863c0232c336c2144a8036c836f76c1cd5305dea4445c345cfa4eaf1002543 8253900 spring_96.0+dfsg.orig.tar.xz
 be679d526d7f219d17a9a837abf78cbf57bf6eb310bdb4b601ca0a825a4efd04 14628 spring_96.0+dfsg-1.debian.tar.xz
 3cbd500a5780d67f060bb45167e5cb8924d604116cf3756d31d53d21dfc86f9b 8449912 spring_96.0+dfsg-1_amd64.deb
 4382902de4de6997ac32f640bb604f986605f177a4a4e46846b31510f87a2aff 3288852 spring-common_96.0+dfsg-1_all.deb
 5f7a7753553f7c79335b304a93b8c1a3289a5d384fda605f5226803f9c7ff929 229479518 spring-dbg_96.0+dfsg-1_amd64.deb
 09fc34770358818c57ec1c071d81b32014c3d49a9a9f068df6e6a130d177c224 1025060 spring-javaai_96.0+dfsg-1_all.deb
Files: 
 6f69500b4050b24ba36b82e9bd3af2db 2458 games optional spring_96.0+dfsg-1.dsc
 c1b770e45caba28fb2038fbcef39da53 8253900 games optional spring_96.0+dfsg.orig.tar.xz
 0e98d677af3af7869efe0a652ce05f98 14628 games optional spring_96.0+dfsg-1.debian.tar.xz
 66822c2ecc00d9514eb201f3495fcc5a 8449912 games optional spring_96.0+dfsg-1_amd64.deb
 9c104bceed908d257c3d72598d452b7e 3288852 games optional spring-common_96.0+dfsg-1_all.deb
 dbe78cfa15a458df5546b377300f5438 229479518 debug extra spring-dbg_96.0+dfsg-1_amd64.deb
 b40439efe0fc8879f72791b7b1b246c0 1025060 games optional spring-javaai_96.0+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJ8BAEBCgBmBQJS/XthXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXRBQ0YzRDA4OEVGMzJFREVGNkExQTgzNUZE
OUFEMTRCOTUxM0I1MUU0AAoJENmtFLlRO1HkLhwQAJWrP+Rha+LaaaLiFXt63Ph2
X5pmSpJIgunBJ+p9UYtwE82Lp9AilVYla0G2HQ9SnEkmn6YtxIjq7FcSybjU0Z5s
p8+KPj6bOiSCy6TlR9NlQw2QQ7NOIFL8cDthSEvcyID06EbQ5NANaUGH2+Suu3Ux
WBl8zE4EhoNXu6cUvkht3uoI202kpXAKop9of/Ham9FfdrDvzy71jrZ1F5+WgwjX
c8XztoUDszG0kk8PjBQki72Kd3cKEj44C9Q0kV8FLdtbUp5A3f/C2Tp8IQds++vW
8aJUwlUH/XcEh8na2HWkEkjc54urB6ATwndm1boFNo2/sErXEx6379NQ53+egHKT
o3pRmr9DHATvwuM4r4MwD1+Pfht8xtrcD/IoxPmxbq612KUY/5RCxl46Fja3DpnS
LRFaLMX6Z2QNz5Ub8mvekRTyck4y2CTrazDZHsK1lR4GGtFuzdFgpHof01T+lvCu
r92MoZGzQzYZTw+TwUNc5/yAG5oV5mwcMiZgo0W53rJdtzoO2tzU8It+4IVrQLX/
mhltXWJGiAWkjoa0L2fc79V3dKM/OrtQX6Oy+tRSMwCYDdZkhcnH0fCt1mR+niFJ
mQCXNYUfQTe4pZwilyQ8uSFw456LCC45FYiEJ0U7xjWZhlRVDMdcPsJo8H6O2tH1
h/IM3xYTInhBrn5pK5n3
=lUX3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Mar 2014 07:27:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:52:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.